BBACKUPCTL(8)

NAME
bbackupctl - Control the Box Backup client daemon

SYNOPSIS

bbackupctl [-q] [-c config-file] command

DESCRIPTION

bbackupctl sends commands to a running bbackupd daemon on a client machine. It can be used to force an immediate backup, tell the daemon to reload its configuration files or stop the daemon. If bbackupd is configured in snapshot mode, it will not back up automatically, and the bbackupctl must be used to tell it when to start a backup.

Communication with the bbackupd daemon takes place over a local socket (not over the network). Some platforms (notably Windows) can't determine if the user connecting on this socket has the correct credentials to execute the commands. On these platforms, ANY local user can interfere with bbackupd. To avoid this, remove the CommandSocket option from bbackupd.conf, which will also disable bbackupctl. See the Client Configuration page for more information.

bbackupctl needs to read the bbackupd configuration file to find out the name of the CommandSocket. If you have to tell bbackupd where to find the configuration file, you will have to tell bbackupctl as well. The default on Unix systems is usually /etc/box/bbackupd.conf. On Windows systems, it is bbackupd.conf in the same directory where bbackupd.exe is located. If bbackupctl cannot find or read the configuration file, it will log an error message and exit.

bbackupctl usually writes error messages to the console and the system logs. If it is not doing what you expect, please check these outputs first of all.

-q
    Run in quiet mode.

-c config-file
    Specify configuration file.

  Commands

The following commands are available in bbackupctl:

terminate
    This command cleanly shuts down bbackupd. This is better than killing or terminating it any other way.

reload
    Causes the bbackupd daemon to re-read all its configuration files. Equivalent to kill -HUP.

sync
    Initiates a backup. If no files need to be backed up, no connection will be made to the server.

force-sync
    Initiates a backup, even if the SyncAllowScript says that no backup should run now.

wait-for-sync
    Passively waits until the next backup starts of its own accord, and then terminates.

wait-for-end
    Passively waits until the next backup starts of its own accord and finishes, and then terminates.

sync-and-wait
    Initiates a backup, waits for it to finish, and then terminates.

FILES

/etc/box/bbackupd.conf

SEE ALSO

bbackupd.conf(5), bbackupd-config(8), bbackupctl(8)

AUTHORS

Ben Summers

Per Thomsen

James O'Gorman